Index: tmp/org.txm.core/src/java/org/txm/importer/xmltxm/Xml2Ana.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/xmltxm/Xml2Ana.groovy	(revision 0)
+++ tmp/org.txm.core/src/java/org/txm/importer/xmltxm/Xml2Ana.groovy	(revision 881)
@@ -0,0 +1,577 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+//
+//
+//
+// $LastChangedDate: 2017-04-19 16:23:38 +0200 (mer. 19 avril 2017) $
+// $LastChangedRevision: 3430 $
+// $LastChangedBy: mdecorde $
+//
+package org.txm.importer.xmltxm
+
+import org.txm.importer.HasElement;
+import org.txm.importer.StaxIdentityParser;
+
+import java.text.DateFormat;
+import java.util.ArrayList;
+import java.util.Date;
+import java.util.HashMap;
+import java.util.Locale;
+
+import javax.xml.stream.*;
+
+import java.net.URL;
+
+import org.txm.importer.filters.*;
+import org.txm.utils.AsciiUtils;
+
+/**
+ * The Class Xml2Ana.
+ *
+ * @author mdecorde
+ * transform : pre xml-tei file >> xml-tei-txm file
+ * The pre xml-tei file must contains a minimal teiHeader with classDecl, encodingDesc and titleStmt
+ * 
+ * you must specify the correspondance between word attributs and ana types&respStmtIDs
+ * then the attributes of w tags will be transformed into interp tag
+ */
+public class Xml2Ana extends StaxIdentityParser
+{
+	/** The dir. */
+	private def dir;
+
+	/** The convert all attributes. */
+	private boolean convertAllAttributes = false;
+
+	/** The corresp type. */
+	HashMap<String,String> correspType;
+
+	/** The corresp ref. */
+	HashMap<String,String> correspRef;
+
+	/** The check tags. */
+	HashMap<String,Boolean> checkTags = new HashMap<String,Boolean>();
+
+	/** The resp id. */
+	def respId = [];
+
+	/** The applications. */
+	HashMap<String,File> applications;
+
+	/** The taxonomies. */
+	HashMap<String,String[]> taxonomies;
+
+	/** The resps. */
+	HashMap<String,String[]> resps;
+
+	/** The items. */
+	HashMap<String,HashMap<String,String>> items;
+
+	/** The XML headeradded. */
+	boolean XMLHeaderadded = false;
+	String textname;
+	String wtag = "w";
+	
+	public static final String TEXT = "text"
+	public static final String ID = "id"
+
+	/**
+	 * Instantiates a new xml2 ana.
+	 *
+	 * @param url the url
+	 * @param wordprefix the wordprefix
+	 */
+	public Xml2Ana(File file) {
+		super(file.toURI().toURL());
+		//File file = new File(url.getFile()).getAbsoluteFile()
+		textname = file.getName();
+		int idx = textname.lastIndexOf(".");
+		if (idx > 0)
+			textname = textname.substring(0, idx)
+
+		
+		checkTags.put("respStmt",false);
+		checkTags.put("titleStmt",false);
+		checkTags.put("appInfo",false);
+
+		hasText = new HasElement(file, TEXT).process();
+	}
+
+	/**
+	 * Sets the convert all atrtibutes.
+	 *
+	 * @param value the value
+	 * @return the java.lang. object
+	 */
+	public setConvertAllAtrtibutes(boolean value) {
+		convertAllAttributes = value;
+	}
+	
+	/**
+	 * Sets the convert all atrtibutes.
+	 *
+	 * @param value the value
+	 * @return the java.lang. object
+	 */
+	public setWordTag(String wtag) {
+		this.wtag = wtag
+	}
+
+	int idcount = 0;
+	boolean flagWord = false;
+	int firstElement = 0;
+	boolean teiElementAdded = false;
+	boolean teiHeaderElementAdded = false;
+	boolean hasText = false;
+	boolean textElementAdded = false;
+	def anabalises = [];
+	protected void processStartElement()
+	{
+//		println "checkTags=$checkTags";
+//		println "parser=$parser";
+		firstElement++;
+		
+		if (this.checkTags.containsKey(parser.getLocalName())) {
+			this.checkTags.put(parser.getLocalName(), true);
+		}
+		
+		switch (parser.getLocalName()) {
+			case wtag:
+				if (!hasText) {
+					writer.writeStartElement(TEXT);
+					writer.writeAttribute(ID, textname);
+					textElementAdded = true;
+					hasText = true;
+				}
+				idcount++; // increment word counter
+				anabalises.clear();
+
+				writer.writeStartElement(parser.getLocalName()); // write w
+
+				for (int i = 0 ; i < parser.getNamespaceCount() ; i++) // write namespaces
+					writer.writeNamespace(parser.getNamespacePrefix(i), parser.getNamespaceURI(i));
+
+				for (int i= 0 ; i < parser.getAttributeCount() ;i++ ) { // transform attributes
+					String type = parser.getAttributeLocalName(i);
+					String value = parser.getAttributeValue(i);
+					if (correspType.containsKey(type)) { // check if txm:ana
+						String corresptype = correspType.get(type);
+						String ref = correspRef.get(type);
+						anabalises.add(["#"+ref, "#"+corresptype, value]);
+					} else if (type == ID) { // keep id attribute 
+						String wordid = value
+						if (wordid.startsWith("w")) {
+							if (!wordid.startsWith("w_"))
+								wordid = "w_"+wordid.substring(1)
+						} 
+//						else {
+//							wordid = "w_"+textname+"_"+wordid;
+//						}
+						
+						wordid = AsciiUtils.buildAttributeId(wordid); // remove characters not compatible with the id attribute value
+						
+						writer.writeAttribute(type, wordid);
+						
+					} else { // add attributes that was in the original <w>
+						if (convertAllAttributes)
+							anabalises.add(["none","#"+type, value])
+						else
+							writer.writeAttribute(type, value);
+					}
+				}
+
+				flagWord = true; // start to capture the form
+				writer.writeStartElement(TXMNS, "form");
+				break;
+
+			case "TEI":
+				super.processStartElement();
+				boolean hasTeiNS = false;
+				boolean hasTXMNs = false;
+				for (int i = 0 ; i < parser.getNamespaceCount() ; i++) {
+					if (parser.getNamespaceURI(i) == TXMNS)
+						hasTXMNs = true;
+					else if (parser.getNamespaceURI(i) == TEINS)
+						hasTeiNS = true;
+				}
+				if (!hasTeiNS) {
+					writer.writeDefaultNamespace(TEINS);
+				}
+				if (!hasTXMNs)
+					writer.writeNamespace(TXM, TXMNS);
+				break;
+
+			default:
+
+				if (TEXT.equals(localname)) {
+					hasText = true;
+				}
+
+				if (firstElement == 1) { // test if first element is TEI
+					//println "first tag: "+parser.getLocalName()
+					if (localname != "TEI") { // "TEI" is missing
+						teiElementAdded = true;
+						addTEIElement();
+					} else if (!hasText) {
+						writer.writeStartElement(TEXT);
+						writer.writeAttribute(ID, textname);
+						textElementAdded = true;
+						hasText = true;
+					}
+				}
+				if (firstElement == 2 && teiElementAdded != true) {
+					//println "second tag: "+parser.getLocalName()
+					if (localname != "teiHeader") { // teiHeader is missing
+						writeTeiHeader();
+						hasTeiHeader = true
+						teiHeaderElementAdded = true
+					}
+				} else if (!hasText & (teiElementAdded | teiHeaderElementAdded)) {
+					writer.writeStartElement(TEXT);
+					writer.writeAttribute(ID, textname);
+					textElementAdded = true;
+					hasText = true;
+				}
+
+				super.processStartElement();
+				if (TEXT.equals(localname)) {
+					if (!parser.getAttributeValue(null, ID)) {
+						writer.writeAttribute(ID, textname);
+					}
+				}
+		}
+	}
+
+	protected void after()
+	{
+		if (textElementAdded) {
+			writer.writeEndElement(); // text
+		}
+		if (teiElementAdded) {
+			writer.writeEndElement(); // TEI
+		}
+		super.after(); // close writer, parser, etc
+	}
+
+	protected void addTEIElement()
+	{
+		writer.writeStartElement("TEI");
+		writer.writeDefaultNamespace(TEINS);
+		writer.writeNamespace(TXM, TXMNS);
+		writer.writeNamespace(TEI, TEINS);
+		writeTeiHeader();
+	}
+
+	protected void processCharacters()
+	{
+		if (flagWord) {
+			writer.writeCharacters(parser.getText().trim()); // keep form in 1 line
+		} else {
+			super.processCharacters();
+		}
+	}
+	
+	boolean hasClassDecl = false;
+	boolean hasFileDesc = false;
+	boolean hasEncodingDesc = false;
+	boolean hasTeiHeader = false;
+	boolean hasTEI = false;
+	public static String ANA = "ana"
+	public static String RESP = "resp"
+	public static String TYPE = "type"
+	protected void processEndElement()
+	{
+		switch (parser.getLocalName()) {
+			case wtag:
+				writer.writeEndElement(); // txm:form
+				for (def values : anabalises)
+				{// <txm:ana resp=ref type=corresptype>value</txm:ana>
+					writer.writeStartElement(TXMNS, ANA);
+					writer.writeAttribute(RESP, values[0]);
+					writer.writeAttribute(TYPE, values[1]);
+					writer.writeCharacters(values[2]);
+					writer.writeEndElement(); // txm:ana
+				}
+
+				flagWord = false;
+				break;
+
+			case "fileDesc":
+				hasFileDesc = true;
+				this.writeTXMResps();
+				break;
+
+			case "classDecl":
+				hasClassDecl=true;
+				this.writeTXMTaxonomies();
+				break;
+			case "encodingDesc":
+				hasEncodingDesc = true;
+				writeContentOfEncodingDesc();
+				break;
+
+			case "teiHeader":
+				hasTeiHeader = true
+				if (!hasEncodingDesc) {
+					writer.writeStartElement("encodingDesc");
+					writeContentOfEncodingDesc();
+					writer.writeEndElement();
+				}
+
+				break;
+			case "TEI":
+				hasTEI = true;
+				if (!hasTeiHeader) {
+					writeTeiHeader();
+				}
+				break;
+		}
+
+		super.processEndElement();
+	}
+
+	protected void writeTeiHeader()
+	{
+		writer.writeStartElement("teiHeader");
+		writer.writeStartElement("fileDesc")
+		this.writeTXMResps();
+		writer.writeStartElement("titleStmt")
+		writer.writeStartElement("title")
+		writer.writeEndElement(); // title
+		writer.writeEndElement(); // titleStmt
+		writer.writeStartElement("publicationStmt")
+		writer.writeEndElement(); // publicationStmt
+		writer.writeStartElement("sourceDesc")
+		writer.writeEndElement(); // sourceDesc
+		writer.writeEndElement(); // fileDesc
+		writer.writeStartElement("encodingDesc");
+		writeContentOfEncodingDesc();
+		writer.writeEndElement(); // encodingDesc
+		writer.writeEndElement(); // teiHeader
+	}
+
+	protected void writeContentOfEncodingDesc()
+	{
+		writer.writeStartElement("appInfo")
+		this.writeTXMApps();
+		writer.writeEndElement(); // appInfo
+		if (!hasClassDecl) {
+			writer.writeStartElement("classDecl");
+			this.writeTXMTaxonomies();
+			writer.writeEndElement(); // classDecl
+		}
+	}
+
+	/**
+	 * Check resp.
+	 *
+	 * @return the string
+	 */
+	public String checkResp()
+	{
+		String rez ="found tags : \n";
+		for (String key : checkTags.keySet())
+			rez += "\t"+key+"\n";
+		return rez;
+	}
+
+	/**
+	 * Sets the correspondances.
+	 *
+	 * @param correspRef the corresp ref
+	 * @param correspType the corresp type
+	 */
+	public void setCorrespondances(correspRef, correspType)
+	{
+		this.correspRef = correspRef;
+		this.correspType = correspType;
+	}
+
+	/**
+	 * Sets the header infos.
+	 *
+	 * @param respId the resp id
+	 * @param resps the resps
+	 * @param applications the applications
+	 * @param taxonomies the taxonomies
+	 * @param items the items
+	 */
+	public void setHeaderInfos(respId,resps, applications, taxonomies, items)
+	{
+		this.respId = respId
+		this.resps = resps
+		this.applications = applications
+		this.taxonomies = taxonomies;
+		this.items = items;
+	}
+
+	/**
+	 * Write txm resps.
+	 */
+	public void writeTXMResps()
+	{
+		for (String ref : respId) {
+			String[] infos = resps.get(ref);
+			writer.writeStartElement("respStmt");
+			writer.writeStartElement(RESP);
+			writer.writeAttribute(ID,ref);
+			writer.writeCharacters(infos[0]);
+			writer.writeStartElement("date");
+			writer.writeAttribute("when",infos[2]);
+			writer.writeCharacters(infos[3]);
+			writer.writeEndElement(); // date
+			writer.writeEndElement(); //resp
+			writer.writeStartElement("name");
+			writer.writeAttribute(TYPE, "person");
+			writer.writeCharacters(infos[1])
+			writer.writeEndElement(); // name
+			writer.writeEndElement(); //respStmt
+		}
+	}
+
+	/**
+	 * Write txm apps.
+	 */
+	public void writeTXMApps()
+	{
+		for (String ref : respId) {
+			List<String> list= applications.get(ref);
+			String ident = list.get(0);
+			String version = list.get(1);
+			File report = list.get(2);
+
+			writer.writeStartElement(TXMNS, "application");
+			writer.writeAttribute("ident", ident);
+			writer.writeAttribute("version", version);
+			writer.writeAttribute(RESP, ref);
+
+			//get txm:commandLine from GeneratedReport
+			if (report != null) {
+				writer.writeCharacters("");writer.flush();
+				Reader reader = new FileReader(report);
+				String line = reader.readLine();
+				while (line != null) {
+					if (line.length() != 0)
+						output.write(line+"\n");
+					line = reader.readLine();
+				}
+				reader.close();
+			}
+
+			writer.writeStartElement("ab");
+			writer.writeAttribute(TYPE, "annotation");
+			for (String item : taxonomies.get(ref)) {
+				writer.writeStartElement("list");
+				writer.writeEmptyElement("ref");
+				writer.writeAttribute(TYPE, "tagset");
+				writer.writeAttribute("target", item);
+				writer.writeEndElement(); // list
+			}
+			writer.writeEndElement(); // ab
+			writer.writeEndElement(); // txm:application
+		}
+	}
+
+	/**
+	 * Write txm taxonomies.
+	 */
+	public void writeTXMTaxonomies()
+	{
+		for (String tax : items.keySet()) {
+			writer.writeStartElement("taxonomy");
+			writer.writeAttribute(ID, tax);
+
+			writer.writeStartElement("bibl");
+			writer.writeAttribute(TYPE, "tagset");
+			writer.writeStartElement("title");
+			writer.writeCharacters(tax);
+			writer.writeEndElement(); // title
+
+			for (String type : items.get(tax).keySet()) {
+				writer.writeEmptyElement("ref");
+				writer.writeAttribute(TYPE, type);
+				writer.writeAttribute("target", items.get(tax).get(type));
+			}
+			writer.writeEndElement(); // bibl
+			writer.writeEndElement(); // taxonomy
+		}
+	}
+
+	/**
+	 * The main method.
+	 *
+	 * @param args the arguments
+	 */
+	public static void main(String[] args) {
+
+		String rootDir = "~/xml/rgaqcj/";
+		new File(rootDir+"anainline/").mkdir();
+
+		ArrayList<String> milestones = new ArrayList<String>();
+
+		String file = "roland-p5.xml";
+		String anafile = "roland-p5.xml";
+
+		def correspType = new HashMap<String,String>()
+		// correspType(attribut word wlx, attribut type de la propriété ana du w txm)
+		correspType.put("p2","CATTEX2009");
+
+		def correspRef = new HashMap<String,String>()
+		// correspRef (attribut word wlx, attribut ref de la propriété ana du w txm. ref pointe vers l'identifiant du respStmt du TEIheader)
+		correspRef.put("p2","ctx1");
+
+		//il faut lister les id de tous les respStmt
+		def respId = ["ctx1"];//,"TT1", "TnT1"];
+
+		//fait la correspondance entre le respId et le rapport d'execution de l'outil
+		def applications = new HashMap<String,HashMap<String,String>>();
+		applications.put("ctx1",new ArrayList<String>());
+		applications.get("ctx1").add("Oxygen");//app ident
+		applications.get("ctx1").add("9.3");//app version
+		applications.get("ctx1").add(null);//app report file path
+
+		//fait la correspondance entre le respId et les attributs type de la propriété ana du w txm
+		//pour construire les ref vers les taxonomies
+		def taxonomiesUtilisees = new HashMap<String,String[]>();
+		taxonomiesUtilisees.put("ctx1",["CATTEX2009"]);//,"lemma","lasla","grace"]);
+
+		//associe un id d'item avec sa description et son URI
+		def itemsURI = new HashMap<String,HashMap<String,String>>();
+		itemsURI.put("CATTEX2009",new HashMap<String,String>());
+		itemsURI.get("CATTEX2009").put("tagset","http://bfm.ens-lsh.fr/IMG/xml/cattex2009.xml");
+		itemsURI.get("CATTEX2009").put("website","http://bfm.ens-lsh.fr/article.php3?id_article=176");
+
+		//informations de respStmt
+		//resps (respId <voir ci-dessus>, [description, person, date])
+		def resps = new HashMap<String,String[]>();
+		resps.put("ctx1", ["initial tagging","alavrentiev","2010-03-02","Tue Mar  2 21:02:55 Paris, Madrid 2010"])
+
+		//lance le traitement
+		def builder = new Xml2Ana(new File(rootDir+"/src/",file));
+		builder.setCorrespondances(correspRef, correspType);
+		builder.setHeaderInfos(respId,resps, applications, taxonomiesUtilisees, itemsURI)
+		//dossier de sortie + nom fichier sortie
+		builder.process(anafile);
+
+		return
+	}
+
+}
Index: tmp/org.txm.core/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- tmp/org.txm.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 880)
+++ tmp/org.txm.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 881)
@@ -1,3 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=23
+groovy.compiler.level=-1
 groovy.script.filters=scripts/**/*.groovy,y,src/main/resources/**/*.groovy,y,src/test/resources/**/*.groovy,y
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 880)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 881)
@@ -34,8 +34,6 @@
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.events.MouseAdapter;
-import org.eclipse.swt.events.MouseEvent;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.graphics.Font;
@@ -43,7 +41,6 @@
 import org.eclipse.swt.graphics.Point;
 import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.GridLayout;
-import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Label;
@@ -60,17 +57,14 @@
 import org.txm.rcp.swt.widget.NavigationWidget;
 import org.txm.rcp.swt.widget.PropertiesSelector;
 import org.txm.rcp.swt.widget.QueryWidget;
-import org.txm.rcp.views.QueriesView;
 import org.txm.referencer.core.functions.Referencer;
 import org.txm.referencer.core.functions.Referencer.Line;
 import org.txm.referencer.core.preferences.ReferencerPreferences;
-import org.txm.referencer.rcp.handlers.___ReferencerToConc;
 import org.txm.referencer.rcp.messages.ReferencerUIMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
-import org.txm.statsengine.r.rcp.views.RVariablesView;
 
 /**
  * The Class ReferencerEditor display&update a Referencer TXMResult
@@ -329,10 +323,6 @@
 
 		fillDisplayArea(0, lineperpage);
 		
-		// FIXME: should be moved and mutualized
-		QueriesView.refresh();
-		RVariablesView.refresh();
-
 		viewer.getTable().setFocus();
 		System.out.println(NLS.bind(TXMUIMessages.CreatePartition_5, referencer.getNLines(), referencer.getV()));
 	}
Index: tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -1,17 +1,7 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexport,
+Require-Bundle: org.txm.concordance.rcp;bundle-version="1.0.0";visibility:=reexport,
  org.txm.referencer.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.concordance.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
- org.txm.concordance.rcp;bundle-version="1.0.0";visibility:=reexport,
- org.txm.statsengine.r.rcp;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.ui;visibility:=reexport,
- org.eclipse.core.runtime;visibility:=reexport,
- org.txm.core;bundle-version="0.7.0";visibility:=reexport,
- org.txm.rcp;bundle-version="0.7.8";visibility:=reexport,
- org.eclipse.core.expressions;bundle-version="3.4.600";visibility:=reexport,
- org.txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.links.rcp;bundle-version="1.0.0"
+ org.txm.links.rcp;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.referencer.rcp.adapters,
  org.txm.referencer.rcp.editors,
  org.txm.referencer.rcp.handlers,
Index: tmp/org.txm.concordance.core/.classpath
===================================================================
--- tmp/org.txm.concordance.core/.classpath	(revision 880)
+++ tmp/org.txm.concordance.core/.classpath	(revision 881)
@@ -1,7 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.concordance.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.concordance.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.concordance.core/META-INF/MANIFEST.MF	(revision 881)
@@ -1,11 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexp
- ort,org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=
- reexport,org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexpor
- t,org.eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexpo
- rt,org.txm.core;visibility:=reexport,org.txm.searchengine.core;bundle
- -version="1.0.0";visibility:=reexport,org.txm.statsengine.r.core;bund
- le-version="1.0.0";visibility:=reexport
+Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
+ org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.concordance.core,
  org.txm.concordance.core.functions,
  org.txm.concordance.core.functions.comparators,
Index: tmp/org.txm.referencer.core/.classpath
===================================================================
--- tmp/org.txm.referencer.core/.classpath	(revision 880)
+++ tmp/org.txm.referencer.core/.classpath	(revision 881)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.referencer.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.referencer.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.referencer.core/META-INF/MANIFEST.MF	(revision 881)
@@ -1,9 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexp
- ort,org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=ree
- xport,org.txm.core;bundle-version="0.7.0";visibility:=reexport,org.tx
- m.searchengine.core;bundle-version="1.0.0";visibility:=reexport,org.t
- xm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport
+Require-Bundle: org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport
 Export-Package: org.txm.referencer.core,
  org.txm.referencer.core.functions,
  org.txm.referencer.core.messages,
Index: tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -1,14 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.chartsengine.core;visibility:=reexport,org.txm
- .utils;bundle-version="1.0.0";visibility:=reexport,org.eclipse.osgi;b
- undle-version="3.10.2";visibility:=reexport,org.eclipse.core.runtime;
- bundle-version="3.10.0";visibility:=reexport,org.eclipse.ui;visibilit
- y:=reexport,org.txm.core;bundle-version="0.7.0";visibility:=reexport,
- org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reex
- port,org.txm.chartsengine.rcp;visibility:=reexport,org.txm.partition.
- core;visibility:=reexport,org.txm.rcp;bundle-version="0.7.8";visibili
- ty:=reexport,org.eclipse.core.expressions;bundle-version="3.4.600";vi
- sibility:=reexport
+Require-Bundle: org.txm.chartsengine.rcp;visibility:=reexport,
+ org.txm.partition.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.partition.rcp.adapters,
  org.txm.partition.rcp.editors,
  org.txm.partition.rcp.handlers,
Index: tmp/org.txm.internalview.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.internalview.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.internalview.core/META-INF/MANIFEST.MF	(revision 881)
@@ -1,6 +1,5 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.core;bundle-version="0.8.0";visibility:=reexpo
- rt,org.txm.searchengine.cqp.core;visibility:=reexport
+Require-Bundle: org.txm.searchengine.cqp.core;visibility:=reexport
 Export-Package: org.txm.internalview.core.functions,org.txm.internalvi
  ew.core.messages,org.txm.internalview.core.preferences
 Bundle-ActivationPolicy: lazy
Index: tmp/org.txm.searchengine.cqp.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.searchengine.cqp.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -1,11 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.searchengine.core;bundle-version="1.0.0";visib
- ility:=reexport,org.txm.searchengine.cqp.core;bundle-version="1.1.0";
- visibility:=reexport,org.txm.core;bundle-version="0.8.0";visibility:=
- reexport,org.txm.rcp;bundle-version="0.8.0";visibility:=reexport,org.
- eclipse.core.commands;bundle-version="3.6.100";visibility:=reexport,o
- rg.eclipse.ui.workbench;bundle-version="3.106.2";visibility:=reexport
- ,org.eclipse.ui;visibility:=reexport
+Require-Bundle: org.txm.rcp;bundle-version="0.8.0";visibility:=reexport,
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport
 Export-Package: org.txm.searchengine.cqp.rcp.adapters,org.txm.searchen
  gine.cqp.rcp.handlers.base,org.txm.searchengine.cqp.rcp.messages,org.
  txm.searchengine.cqp.rcp.preferences
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputeIntersection.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputeIntersection.java	(revision 0)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputeIntersection.java	(revision 881)
@@ -0,0 +1,101 @@
+package org.txm.searchengine.cqp.rcp.handlers.base;
+
+import java.util.ArrayList;
+import java.util.HashSet;
+import java.util.List;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.core.commands.IHandlerListener;
+import org.eclipse.jface.viewers.ISelection;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.Toolbox;
+import org.txm.searchengine.cqp.AbstractCqiClient;
+import org.txm.searchengine.cqp.CQPSearchEngine;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.CqpObject;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
+import org.txm.searchengine.cqp.corpus.Subcorpus;
+
+public class ComputeIntersection extends AbstractHandler {
+
+	@Override
+	public void addHandlerListener(IHandlerListener handlerListener) {
+		super.addHandlerListener(handlerListener);
+	}
+
+	@Override
+	public void dispose() {
+		super.dispose();
+	}
+
+
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		ISelection isel = HandlerUtil.getCurrentSelection(event);
+		if (!(isel instanceof IStructuredSelection)) return null;
+		IStructuredSelection selection = (IStructuredSelection) isel;
+		List list = selection.toList();
+		ArrayList<Subcorpus> subcorpora = new ArrayList<Subcorpus>();
+		for (Object o : list) if (o instanceof Subcorpus) subcorpora.add((Subcorpus) o);
+
+		if (subcorpora.size() != 2) {
+			System.out.println("Error: selection size != 2 : "+subcorpora.size());
+			return null;
+		}
+
+		HashSet<MainCorpus> set = new HashSet<MainCorpus>();
+		for (Subcorpus s : subcorpora) set.add(s.getMainCorpus());
+		if (set.size() > 1) {
+			System.out.println("Error: selected subcorpus have different main corpus: "+set);
+			return null;
+		}
+
+		MainCorpus ancestor = subcorpora.get(0).getMainCorpus();
+		String id1 = subcorpora.get(0).getQualifiedCqpId();
+		String id2 = subcorpora.get(1).getQualifiedCqpId();
+		String cqpid = CqpObject.subcorpusNamePrefix + Corpus.getNextSubcorpusCounter();
+		String command = "inter";
+		AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
+
+		//TODO: finish the command
+		
+//		String query = cqpid+"="+command+" "+id1+" "+id2+";";
+//		try {
+//			CQI.query(query)
+//		} catch (Exception e) {
+//			println "Error: "+CQI.getLastError()+". Please restart TXM."
+//			return;
+//		}
+//
+//		Subcorpus subcorpus = new Subcorpus(cqpid, name, ancestor, new Query("$command $id1 $id2;"));
+//
+//		println "$subcorpus stored in $ancestor"
+//
+//		monitor.syncExec(new Runnable() {
+//			public void run() {
+//				CorporaView.refresh();
+//				CorporaView.expand(subcorpus.getParent());
+//			}
+//		});
+
+		return null;
+	}
+
+	@Override
+	public boolean isEnabled() {
+		return super.isEnabled();
+	}
+
+	@Override
+	public boolean isHandled() {
+		return super.isHandled();
+	}
+
+	@Override
+	public void removeHandlerListener(IHandlerListener handlerListener) {
+		super.removeHandlerListener(handlerListener);
+	}
+}

